
Summary: Orc is a library and set of tools for compiling and executing very simple programs that operate on arrays of data
Name: orc
Version: 0.4.11
Release: 1.EL6
License: GPL
Group: Applications/System
URL: http://diracvideo.org/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: pkgconfig

%description
Orc is a library and set of tools for compiling and executing very simple programs that operate on arrays of data.  The “language” is a generic assembly language that represents many of the features available in SIMD architectures, including saturated addition and subtraction, and many arithmetic operations.

The 0.4 series of Orc releases will be API and ABI compatible, and will be incompatible with the 0.5 series when it comes out.  It is anticipated that 0.5 will follow in a few months.

Features:

    * Users can create, compile, and run simple programs that use the vector extensions of the CPU, all directly from an application.
    * Users can compile Orc programs to assembly source code to be compiled and used without linking against the Orc library.
    * The generic assembly language can be extended by an application by adding new opcodes.
    * An application can add rules for converting existing or new opcodes to binary code for a specific target.
    * Current targets: SSE, MMX, ARM, Altivec, and NEON.  There is also a TI c64x+ DSP target that only generates source code (no runtime).
    * Programs can optionally be emulated, which is useful for testing, or if no rules are available to convert Orc opcodes to executable code.

%package devel
Summary: Orc is a library and set of tools for compiling and executing very simple programs that operate on arrays of data
License: GPL
Group: Applications/System

%description devel
Orc is a library and set of tools for compiling and executing very simple programs that operate on arrays of data.  The “language” is a generic assembly language that represents many of the features available in SIMD architectures, including saturated addition and subtraction, and many arithmetic operations.

%prep
%setup -q 
%configure --enable-shared --enable-static --with-pic

%build
make -j 2

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} | egrep -ve '\.{la,a,h}$' | sed -e " s#%{buildroot}##g; " > filelist
find %{buildroot} | egrep -e '\.{la,a,h}$' | sed -e " s#%{buildroot}##g; " > filelist-devel

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist
%defattr(-,root,root)
%doc COPYING README TODO 

%files devel -f filelist
%defattr(-,root,root)
%doc COPYING README TODO 

%changelog
